Name:		cook
Version:	2.26
Release:	2%{?dist}

Summary: 	File construction tool

Group:		Development/Tools
License:	GPL
URL:		http://www.canb.auug.org.au/~millerp/cook/
Source:		http://www.canb.auug.org.au/~millerp/cook/cook-2.26.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	groff, bison, gettext, sharutils, m4
Provides:	perl(host_lists.pl)

%description
Cook is a tool for constructing files. It is given a set of files to
create, and recipes of how to create them. In any non-trivial program
there will be prerequisites to performing the actions necessary to
creating any file, such as include files.  The cook program provides a
mechanism to define these.


%prep
%setup -q


%build
%configure
make
for f in lib/en/*.ps; do
    gzip -c $f > $f.gz
done


%install
rm -fr ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/cook/en/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}/cook/en/LC_MESSAGES
make DESTDIR=${RPM_BUILD_ROOT} install
rm -fr ${RPM_BUILD_ROOT}%{_datadir}/cook/en


%check
make sure


%clean
rm -fr ${RPM_BUILD_ROOT}


%files
%defattr (-,root,root,-)
%{_bindir}/*
%{_libdir}/cook
%{_datadir}/cook
%{_mandir}/man1/*
%doc lib/en/*.ps.gz
%doc README LICENSE


%changelog
* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.26-2
- Rebuild for Fedora Extras 5

* Tue Jan 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.26-1
- new version 2.26

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 2.25-4
- fix build with gcc4 (mschwendt, #156203)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.25-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.25-1
- New Version 2.25

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.24-0.fdr.3
- added check

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.24-0.fdr.2
- Improved specfile

* Sat Oct 18 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.24-0.fdr.1
- First Fedora release
